Precise - inclusion of hpwdt kernel module

Bug #1076342 reported by Eduardo Damato on 2012-11-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Louis Bouchard
Precise
Medium
Louis Bouchard
Quantal
Medium
Louis Bouchard
Raring
Medium
Louis Bouchard

Bug Description

SRU Justification:

Impact: This will allow usage of the hpwdt module on the 12.04 LTS version

Fix: Mostly add CONFIG_HP_WATCHDOG=m as a kernel build option

Testcase: modprobe hpwdt on new kernel should complete normally.

Regression : None expected as it is limited to HP iLO hardware and already being build for Quantal

1. Description of the problem:

the hpwdt kernel module that is necessary to handle NMIs sent via ilo2 is not present.

2. Ubuntu release, software version, Release Number and Architecture of the selected components.

12.04 Precise LTS

3. How reproducible is the problem?

Always, hpwdt kernel module is not present.

4. Steps to Reproduce:

Not Applicable, module absent

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1076342

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: precise
Louis Bouchard (louis) wrote :

This is a request to SRU existing module present in Quantal. apport data is not needed

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
assignee: nobody → Louis Bouchard (louis-bouchard)
Chris J Arges (arges) on 2012-11-08
tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Louis Bouchard (louis) on 2012-11-12
description: updated
Tim Gardner (timg-tpi) on 2012-11-13
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
status: New → In Progress
Changed in linux (Ubuntu Raring):
status: Confirmed → In Progress
Changed in linux (Ubuntu Quantal):
assignee: nobody → Louis Bouchard (louis-bouchard)
status: In Progress → Fix Released
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel (3.2.0-34.53) in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Herton R. Krzesinski (herton) wrote :

hpwdt not available before the update:

$ dpkg-deb -c linux-image-3.2.0-33-generic_3.2.0-33.52_amd64.deb | grep hpwdt
$ dpkg-deb -c linux-image-3.2.0-33-generic_3.2.0-33.52_i386.deb | grep hpwdt
$ dpkg-deb -c linux-image-3.2.0-33-generic-pae_3.2.0-33.52_i386.deb | grep hpwdt
$

hpwdt is now available:

$ dpkg-deb -c linux-image-3.2.0-34-generic_3.2.0-34.53_amd64.deb | grep hpwdt
-rw-r--r-- root/root 19200 2012-11-15 09:31 ./lib/modules/3.2.0-34-generic/kernel/drivers/watchdog/hpwdt.ko
$ dpkg-deb -c linux-image-3.2.0-34-generic_3.2.0-34.53_i386.deb | grep hpwdt
-rw-r--r-- root/root 14180 2012-11-15 10:09 ./lib/modules/3.2.0-34-generic/kernel/drivers/watchdog/hpwdt.ko
$ dpkg-deb -c linux-image-3.2.0-34-generic-pae_3.2.0-34.53_i386.deb | grep hpwdt
-rw-r--r-- root/root 14212 2012-11-15 10:25 ./lib/modules/3.2.0-34-generic-pae/kernel/drivers/watchdog/hpwdt.ko

Verification done.

tags: added: verification-done-precise
removed: verification-needed-precise
Changed in linux (Ubuntu Precise):
assignee: nobody → Louis Bouchard (louis-bouchard)
Launchpad Janitor (janitor) wrote :
Download full text (19.5 KiB)

This bug was fixed in the package linux - 3.2.0-34.53

---------------
linux (3.2.0-34.53) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1078760

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad list additional contributors

  [ Kyle Fazzari ]

  * SAUCE: input: Cypress PS/2 Trackpad fix multi-source, double-click
    - LP: #1055788
  * SAUCE: input: Cypress PS/2 Trackpad fix lost sync upon palm contact
    - LP: #1048258
  * SAUCE: input: Cypress PS/2 Trackpad fix taps turning into hardware
    clicks
    - LP: #1064086

  [ Tim Gardner ]

  * [Config] remove ndiswrapper from Provides:
    - LP: #1076395
  * [Config] CONFIG_HP_WATCHDOG=m for x86en
    - LP: #1076342

  [ Upstream Kernel Changes ]

  * Revert "SUNRPC: Ensure we close the socket on EPIPE errors too..."
    - LP: #1075355
  * Revert "ath9k_hw: Updated AR9003 tx gain table for 5GHz"
    - LP: #1075355
  * eCryptfs: check for eCryptfs cipher support at mount
    - LP: #338914
  * isci: fix isci_pci_probe() generates warning on efi failure path
    - LP: #1068162
  * mtd: nand: Use the mirror BBT descriptor when reading its version
    - LP: #1068162
  * drm/i915: prevent possible pin leak on error path
    - LP: #1068162
  * workqueue: add missing smp_wmb() in process_one_work()
    - LP: #1068162
  * TTY: ttyprintk, don't touch behind tty->write_buf
    - LP: #1068162
  * Remove BUG_ON from n_tty_read()
    - LP: #1068162
  * n_gsm.c: Implement 3GPP27.010 DLC start-up procedure in MUX
    - LP: #1068162
  * n_gsm: uplink SKBs accumulate on list
    - LP: #1068162
  * n_gsm : Flow control handling in Mux driver
    - LP: #1068162
  * char: n_gsm: remove message filtering for contipated DLCI
    - LP: #1068162
  * n_gsm: added interlocking for gsm_data_lock for certain code paths
    - LP: #1068162
  * n_gsm: avoid accessing freed memory during CMD_FCOFF condition
    - LP: #1068162
  * n_gsm: replace kfree_skb w/ appropriate dev_* versions
    - LP: #1068162
  * n_gsm: memory leak in uplink error path
    - LP: #1068162
  * UBI: fix autoresize handling in R/O mode
    - LP: #1068162
  * UBI: erase free PEB with bitflip in EC header
    - LP: #1068162
  * firmware: Add missing attributes to EFI variable attribute print out
    from sysfs
    - LP: #1068162
  * tools/hv: Fix exit() error code
    - LP: #1068162
  * slab: fix the DEADLOCK issue on l3 alien lock
    - LP: #1068162
  * gspca_pac7302: Add usb-id for 145f:013c
    - LP: #1068162
  * gspca_pac7302: add support for device 1ae7:2001 Speedlink Snappy
    Microphone SL-6825-SBK
    - LP: #1068162
  * xhci: Warn when hosts don't halt.
    - LP: #1068162
  * xHCI: add cmd_ring_state
    - LP: #1068162
  * xHCI: add aborting command ring function
    - LP: #1068162
  * xHCI: cancel command after command timeout
    - LP: #1068162
  * hpsa: Use LUN reset instead of target reset
    - LP: #1068162
  * rc: ite-cir: Initialise ite_dev::rdev earlier
    - LP: #1068162
  * staging: speakup_soft: Fix reading of init string
    - LP: #1068162
  * target: fix return code in target_core_init_configfs error path
    - LP: #1068162
  * powerpc/eeh: Lock module while handling EEH event
  ...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers